apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Orton <jor...@redhat.com>
Subject Re: svn commit: r122648 - /apr/apr-util/branches/1.0.x/CHANGES /apr/apr-util/branches/1.0.x/build/apu-conf.m4
Date Fri, 17 Dec 2004 16:26:27 GMT
On Fri, Dec 17, 2004 at 04:11:19PM -0000, Graham Leggett wrote:
> --- apr/apr-util/branches/1.0.x/build/apu-conf.m4	(original)
> +++ apr/apr-util/branches/1.0.x/build/apu-conf.m4	Fri Dec 17 08:11:18 2004
> @@ -275,8 +275,12 @@
>      test ${apu_has_ldap} != "1" && AC_MSG_ERROR(could not find an LDAP library)
>      AC_CHECK_LIB(lber, ber_init)
>  
> -    AC_CHECK_HEADERS(ldap.h, ldap_h=["#include <ldap.h>"])
>      AC_CHECK_HEADERS(lber.h, lber_h=["#include <lber.h>"])
> +    AC_CHECK_HEADERS(ldap.h, ldap_h=["#include <ldap.h>"], [],
> +[#if HAVE_LBER_H
> +# include <lber.h>
> +# endif
> +])

This breaks with autoconf 2.13.  Is everyone happy with requiring
autoconf 2.5x for the 1.0.x branch too?

joe

Mime
View raw message